"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parser = void 0;
const getNodeRange_1 = require("./getNodeRange");
const getSelectionScope_1 = require("./getSelectionScope");
const parse_1 = require("./parse");
exports.parser = {
    getScopeRange: (editor, context) => {
        const sourceFile = (0, parse_1.parse)(editor);
        const { scope } = (0, getSelectionScope_1.getSelectionScope)(sourceFile, editor, context);
        if (!scope)
            return undefined;
        const { parent } = scope;
        return {
            index: scope.index,
            tokens: scope.children.map(node => (0, getNodeRange_1.getNodeRange)({ node, parent, sourceFile })),
        };
    },
};
//# sourceMappingURL=index.js.map