"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
const typescript_1 = require("typescript");
const getCompilerOptions = () => ({
    allowJs: true,
    noResolve: true,
    target: typescript_1.ScriptTarget.Latest,
});
const getCompilerHost = (sourceText) => ({
    fileExists: () => true,
    getCanonicalFileName: fileName => fileName,
    getCurrentDirectory: () => '',
    getDefaultLibFileName: () => 'lib.d.ts',
    getNewLine: () => '\n',
    getSourceFile: fileName => (0, typescript_1.createSourceFile)(fileName, sourceText, typescript_1.ScriptTarget.Latest, false),
    readFile: () => undefined,
    useCaseSensitiveFileNames: () => true,
    writeFile: () => undefined,
});
const getFileExtension = (editor) => {
    const match = editor.document.fileName.match(/.+?\.(.+)/);
    return match?.[1] ?? 'ts';
};
const parse = (editor) => {
    const host = getCompilerHost(editor.document.getText());
    const options = getCompilerOptions();
    const fileName = `_move_around.${getFileExtension(editor)}`;
    const program = (0, typescript_1.createProgram)({ host, options, rootNames: [fileName] });
    return program.getSourceFile(fileName);
};
exports.parse = parse;
//# sourceMappingURL=parse.js.map