"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getText = exports.getKindName = void 0;
const typescript_1 = require("typescript");
const vscode_1 = require("vscode");
const getKindName = (u) => {
    const kind = typeof u === 'object' ? u.kind : u;
    return Object.entries(typescript_1.SyntaxKind)
        .flatMap(([k, v]) => (v === kind ? [k] : []))
        .join(' - ');
};
exports.getKindName = getKindName;
const getText = ({ end, start }) => {
    const editor = vscode_1.window.activeTextEditor;
    return editor.document.getText(new vscode_1.Range(editor.document.positionAt(start), editor.document.positionAt(end)));
};
exports.getText = getText;
//# sourceMappingURL=utils.js.map