"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.swap = exports.selectTokenRange = exports.getSelectionOffsetRange = exports.offsetRangeToRange = void 0;
const vscode_1 = require("vscode");
const offsetRangeToRange = ({ end, start }, { document }) => new vscode_1.Range(document.positionAt(start), document.positionAt(end));
exports.offsetRangeToRange = offsetRangeToRange;
const getSelectionOffsetRange = (editor) => ({
    start: editor.document.offsetAt(editor.selection.start),
    end: editor.document.offsetAt(editor.selection.end),
});
exports.getSelectionOffsetRange = getSelectionOffsetRange;
const selectTokenRange = (editor, { end, start }) => (editor.selection = new vscode_1.Selection(start, end));
exports.selectTokenRange = selectTokenRange;
const swap = async (editor, [range1, range2]) => {
    const location1 = range1 instanceof vscode_1.Range ? range1 : (0, exports.offsetRangeToRange)(range1, editor);
    const location2 = range2 instanceof vscode_1.Range ? range2 : (0, exports.offsetRangeToRange)(range2, editor);
    const text1 = editor.document.getText(location1);
    const text2 = editor.document.getText(location2);
    if (!(location2 instanceof vscode_1.Selection)) {
        (0, exports.selectTokenRange)(editor, location2);
    }
    await editor.edit(editBuilder => {
        editBuilder.replace(location1, text2);
        editBuilder.replace(location2, text1);
    });
};
exports.swap = swap;
//# sourceMappingURL=utils.js.map